Struts 2
  1. Struts 2
  2. WW-3116

Update sitemesh-plugin to use version 2.4.2 (GAE compliancy)

    Details

    • Type: Improvement Improvement
    • Status: Closed
    • Priority: Major Major
    • Resolution: Duplicate
    • Affects Version/s: 2.1.8
    • Fix Version/s: 2.2.1
    • Component/s: Plugin - SiteMesh
    • Labels:
      None

      Issue Links

        Activity

        Hide
        Rainer Hermanns added a comment -

        commited to trunk

        Show
        Rainer Hermanns added a comment - commited to trunk
        Hide
        zhouyanming added a comment -

        hi,Rainer
        when I use sitemesh-2.4.2 with struts2-sitemesh-plugin-2.1.7,It doesn't works.,are you sure fixed in 2.1.7?
        and I check the source in trunk,org.apache.struts2.sitemesh.TemplatePageFilter still extends the deprecated com.opensymphony.module.sitemesh.filter.PageFilter

        Show
        zhouyanming added a comment - hi,Rainer when I use sitemesh-2.4.2 with struts2-sitemesh-plugin-2.1.7,It doesn't works.,are you sure fixed in 2.1.7? and I check the source in trunk,org.apache.struts2.sitemesh.TemplatePageFilter still extends the deprecated com.opensymphony.module.sitemesh.filter.PageFilter
        Hide
        Rainer Hermanns added a comment -

        What exactly is not working for you?
        Could you please give us more details, stack traces, log messages, sample code or the like?
        Thanks,
        Rainer

        Show
        Rainer Hermanns added a comment - What exactly is not working for you? Could you please give us more details, stack traces, log messages, sample code or the like? Thanks, Rainer
        Hide
        zhouyanming added a comment -

        It display original sitemesh decorator
        sitemesh2.4 has difference with sitemesh2.3

        protected void applyDecorator(Page page, Decorator decorator,HttpServletRequest req, HttpServletResponse res)
        throws ServletException, IOException

        wasn't hook anymore

        Show
        zhouyanming added a comment - It display original sitemesh decorator sitemesh2.4 has difference with sitemesh2.3 protected void applyDecorator(Page page, Decorator decorator,HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException wasn't hook anymore
        Hide
        zhouyanming added a comment -

        sitemesh plugin doesn't support sitemesh2.4.x but struts2.1.8 has upgraded sitemesh to 2.4.2

        Show
        zhouyanming added a comment - sitemesh plugin doesn't support sitemesh2.4.x but struts2.1.8 has upgraded sitemesh to 2.4.2
        Hide
        Christian Wolfgang Stone added a comment -

        Please mark this task as not resolved. I am creating a patch to allow version 2.4.2 compliancy. Specifically compatibility with Freemarker and Velocity. Currently, sitemesh-freemarker does not work at all.

        Show
        Christian Wolfgang Stone added a comment - Please mark this task as not resolved. I am creating a patch to allow version 2.4.2 compliancy. Specifically compatibility with Freemarker and Velocity. Currently, sitemesh-freemarker does not work at all.
        Hide
        musachy added a comment -

        fixing in favor of WW-3291

        Show
        musachy added a comment - fixing in favor of WW-3291

          People

          • Assignee:
            Rainer Hermanns
            Reporter:
            Rainer Hermanns
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development